Load Balancer
Add Multiple Targets
post
/loadbalancer/{lb_uuid}/listeners/{listener_uuid}/targets/batchAdd multiple targets to a listener in a single operation.
Autorización
Authorization
Authorization*string
Bearer YOUR_API_TOKEN con un token de API. También vale la cabecera X-API-Key: YOUR_API_TOKEN.
Parámetros de ruta
lb_uuid*string
listener_uuid*string
Cuerpo de la petición
Add multiple targets to a listener in a single operation
application/jsonObligatorio
targets*array<LBTargetCreate>
List of targets to add
Rango
items ≥ 1Rangoitems ≤ 50Propiedades (5)
target_type*LBTargetType
Valores
"vps""baremetal""availability_group"target_uuid*string
UUID of VPS, Baremetal ID, or Availability Group UUID
port?integer | null
Override target port
Rango
1 ≤ value ≤ 65535weight?integer | null
Target weight
Rango
1 ≤ value ≤ 100Por defecto100enabled?boolean | null
Por defecto
trueRespuestas
Successful Response
application/json
detail*string
targets?array<LBBatchTargetOut>
Propiedades (4)
uuid*string
target_type*string
target_uuid*string
target_name?string | null